Package: groovy.swing.model

## [Java] Class DefaultTableModel.MyTableColumnModel

- groovy.swing.model.DefaultTableModel.MyTableColumnModel

-     protected static class DefaultTableModel.MyTableColumnModel
      extends DefaultTableColumnModel

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List` | `getColumnList()`
    `` | `public void` | `moveColumn(int columnIndex, int newIndex)`
    `` | `public void` | `removeColumn(TableColumn column)`
    `` | `public void` | `renumberTableColumns()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultTableColumnModel` | `addColumn, addColumnModelListener, equals, getClass, getColumn, getColumnCount, getColumnIndex, getColumnIndexAtX, getColumnMargin, getColumnModelListeners, getColumnSelectionAllowed, getColumns, getListeners, getSelectedColumnCount, getSelectedColumns, getSelectionModel, getTotalColumnWidth, hashCode, moveColumn, notify, notifyAll, propertyChange, removeColumn, removeColumnModelListener, setColumnMargin, setColumnSelectionAllowed, setSelectionModel, toString, valueChanged, wait, wait, wait`

- - ### Method Detail

    - #### public List getColumnList()

    - #### @Override
      public void moveColumn(int columnIndex, int newIndex)

    - #### @Override
      public void removeColumn(TableColumn column)

    - #### public void renumberTableColumns()